> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Google Chat integration status

> Returns Google Chat installation and member-link status for organization owners and admins.



## OpenAPI

````yaml /openapi.json get /api/orgs/{id}/integrations/google-chat
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Integrations and billing
  - name: Notifications and public
paths:
  /api/orgs/{id}/integrations/google-chat:
    get:
      tags:
        - Integrations
      summary: Read Google Chat integration status
      description: >-
        Returns Google Chat installation and member-link status for organization
        owners and admins.
      operationId: get_api_orgs_id_integrations_google_chat
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: id identifier
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - status
                properties:
                  status:
                    type: object
                    additionalProperties: false
                    required:
                      - orgId
                      - installState
                      - adminInstallUrl
                      - chatAppUrl
                      - marketplaceListingUrl
                      - workspaceDomain
                      - linkedMemberCount
                      - lastEventAt
                      - lastError
                    properties:
                      orgId:
                        type: string
                      installState:
                        type: string
                        enum:
                          - not_installed
                          - ready_for_admin_install
                          - installed
                          - needs_attention
                      adminInstallUrl:
                        type:
                          - string
                          - 'null'
                      chatAppUrl:
                        type: string
                        description: >-
                          URL used by setup UI to open Google Chat or a
                          dedicated Atoll Chat app/listing page.
                      marketplaceListingUrl:
                        type:
                          - string
                          - 'null'
                      workspaceDomain:
                        type:
                          - string
                          - 'null'
                      linkedMemberCount:
                        type: integer
                        minimum: 0
                      lastEventAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      lastError:
                        type:
                          - string
                          - 'null'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  responses:
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````